Page MenuHomePhabricator

Rewrite all interface types in new XML/Python style
Open, Requires assessmentPublicFEATURE REQUEST

Description

This is the encapsulating task for individual interface rewirte subtasks.

Used to keep track of the overall process.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Related Objects

StatusAssignedTask
OpenNone
Resolvedc-po
InvalidNone
Resolvedc-po
Resolvedc-po
Resolvedc-po
Resolvedc-po
Resolvedc-po
Resolvedc-po
Resolvedc-po
Wontfixc-po
Resolvedc-po
Resolvedc-po
OpenNone
Resolvedc-po
Resolvedc-po
Resolvedhagbard
Resolvedhagbard
Resolvedc-po
Resolvedc-po
ResolvedDmitry
Resolvedc-po
Resolvedc-po
Resolvedc-po
Resolvedc-po
Resolvedc-po
Invalidc-po
In progresshagbard
Resolvedc-po
Resolvedc-po
OpenDmitry
OpenNone
OpenNone

Event Timeline

runar added a subscriber: runar.Aug 13 2019, 9:48 PM

A note when stating to convert physical interfaces.

A non-existant physical interface should be allowed to be present in the configuration and should be syntax checked like an existing interface but without executing commands that will fail because it's not existing. Also a warning has to be given to the user about the interface not existing.

Also the scripts configuring the interface needs to be able to add a device that comes into existant state. This is eg. Usb interfaces and renamed interfaces.
A op command could be added to "reconfigure" a interface. It is possible that this also will be executed by udevd or by other automatical means when a new interface is detected on the device.

c-po changed the status of subtask T1548: Rewrite OpenVPN interface/op-commands in new style XML/Python from In progress to Needs testing.Aug 17 2019, 12:22 AM
pasik added a subscriber: pasik.Aug 21 2019, 5:59 PM
c-po changed the status of subtask T1614: Rewrite bonding interface in new style XML syntax from Open to In progress.Aug 27 2019, 9:20 AM
c-po changed the status of subtask T1636: Rewrite VXLAN in new style XML/Python from Open to In progress.Sep 5 2019, 3:49 AM
c-po changed the status of subtask T1637: Rewrite ethernet interface in new style XML syntax from Open to In progress.Sep 6 2019, 1:26 PM
c-po changed the status of subtask T1627: Rewrite wireless interface in new style XML syntax from Open to In progress.Oct 6 2019, 2:22 PM